Debian Bug report logs - #368518
libgtk1.2 is obsolete, please port to gnome-python

version graph

Package: gnome-tasksel; Maintainer for gnome-tasksel is (unknown);

Reported by: Loïc Minier <lool@dooz.org>

Date: Mon, 22 May 2006 19:48:45 UTC

Severity: normal

Fixed in version gnome-tasksel/0.9.8~pre1

Done: Gustavo Franco <stratus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Progeny Debian Packaging Team <debian-packages@progeny.com>:
Bug#368518; Package gnome-tasksel. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Progeny Debian Packaging Team <debian-packages@progeny.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgtk1.2 is obsolete, please port to gnome-python
Date: Mon, 22 May 2006 21:47:38 +0200
Package: gnome-tasksel
Severity: normal

 libgtk1.2 being completely obsolete, it is time to think of the removal
 of the libgtk1.2 Python bindings.  Since you currently depend on them I
 suggest you port your package to gnome-python.

  Bye,
-- 
Loïc Minier <lool@dooz.org>
"You can gtk_main_run, but you can't gtk_widget_hide." --danw, 19-jul-04



Blocking bugs added: 368518 Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Progeny Debian Packaging Team <debian-packages@progeny.com>:
Bug#368518; Package gnome-tasksel. Full text and rfc822 format available.

Acknowledgement sent to "Gustavo Franco" <stratus@debian.org>:
Extra info received and forwarded to list. Copy sent to Progeny Debian Packaging Team <debian-packages@progeny.com>. Full text and rfc822 format available.

Message #12 received at 368518@bugs.debian.org (full text, mbox):

From: "Gustavo Franco" <stratus@debian.org>
To: 368518@bugs.debian.org, 368518-submitter@bugs.debian.org
Subject: Re: libgtk1.2 is obsolete, please port to gnome-python
Date: Tue, 11 Jul 2006 18:15:30 +0000
Hi,

I'm working on gnome-tasksel gtk+2 "port" in a bzr repository[0] and i
previously contacted offering to mantain this project both upstream
and in Debian. Please reply this too.

The new gnome-tasksel todo is:
- Fix "GtkTreeView";
- Fix zvt -> vte transition.

[0] = http://people.debian.org/~stratus/bzr/gnome-tasksel/
Note: This is a shared repository (bzr >= 0.8). -stable is actually
the package in Debian sid, -dev is the new stuff i'm working on. The
debian/changelog contains the "real" changelog entries atm.

regards,
-- stratus



Message sent on to Loïc Minier <lool@dooz.org>:
Bug#368518. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Progeny Debian Packaging Team <debian-packages@progeny.com>:
Bug#368518; Package gnome-tasksel. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to Progeny Debian Packaging Team <debian-packages@progeny.com>. Full text and rfc822 format available.

Message #20 received at 368518@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Gustavo Franco" <stratus@debian.org>
Cc: 368518@bugs.debian.org, 379038@bugs.debian.org
Subject: Re: libgtk1.2 is obsolete, please port to gnome-python
Date: Sat, 05 Aug 2006 07:44:52 +0200
Hi,

"Gustavo Franco" <stratus@debian.org> writes:

> I'm working on gnome-tasksel gtk+2 "port" in a bzr repository[0] and i
> previously contacted offering to mantain this project both upstream
> and in Debian. Please reply this too.

gnome-tasksel is now orphaned; are you still interested in adopting it?
(This is just a QA ping.)

Cheers,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#368518; Package gnome-tasksel. Full text and rfc822 format available.

Acknowledgement sent to "Gustavo Franco" <stratus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #25 received at 368518@bugs.debian.org (full text, mbox):

From: "Gustavo Franco" <stratus@debian.org>
To: 368518@bugs.debian.org, 379038@bugs.debian.org
Cc: vela@debian.org
Subject: Re: libgtk1.2 is obsolete, please port to gnome-python
Date: Wed, 30 Aug 2006 10:13:14 -0300
Hi Matej,

I'll adopt gnome-tasksel yes, thanks. I never received your message
(damn these spam filters). My luck is that i checked the bug report
page.

thanks,
-- stratus



Reply sent to Gustavo Franco <stratus@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 368518-close@bugs.debian.org (full text, mbox):

From: Gustavo Franco <stratus@debian.org>
To: 368518-close@bugs.debian.org
Subject: Bug#368518: fixed in gnome-tasksel 0.9.8~pre1
Date: Wed, 30 Aug 2006 10:17:14 -0700
Source: gnome-tasksel
Source-Version: 0.9.8~pre1

We believe that the bug you reported is fixed in the latest version of
gnome-tasksel, which is due to be installed in the Debian FTP archive:

gnome-tasksel_0.9.8~pre1.dsc
  to pool/main/g/gnome-tasksel/gnome-tasksel_0.9.8~pre1.dsc
gnome-tasksel_0.9.8~pre1.tar.gz
  to pool/main/g/gnome-tasksel/gnome-tasksel_0.9.8~pre1.tar.gz
gnome-tasksel_0.9.8~pre1_all.deb
  to pool/main/g/gnome-tasksel/gnome-tasksel_0.9.8~pre1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gustavo Franco <stratus@debian.org> (supplier of updated gnome-tasksel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Aug 2006 11:09:10 -0300
Source: gnome-tasksel
Binary: gnome-tasksel
Architecture: source all
Version: 0.9.8~pre1
Distribution: unstable
Urgency: low
Maintainer: Gustavo Franco <stratus@debian.org>
Changed-By: Gustavo Franco <stratus@debian.org>
Description: 
 gnome-tasksel - GNOME interface to Debian tasks
Closes: 368518 379038
Changes: 
 gnome-tasksel (0.9.8~pre1) unstable; urgency=low
 .
   * New maintainer release. (Closes: #379038)
   * Add debian/patches/01_stratus-pre0.9.8.dpatch containing my upstream
     changes (pygtk2 transition and zvt to vte). (Closes: #368518)
     * debian/control:
     - Bump up debhelper compatibility to 5.
     - Add Build-Depends on dpatch.
     - Add Build-Depends-Indep on python.
     - Update Depends field adding ${python:Depends} and changing obsolete
       gtk1 deps to the new ones.
   * debian/rules: Add dh_python call to substitute ${python:Depends}.
   * debian/pycompat: Add and set to 1 (due to the dh_python call).
Files: 
 a4424c06ab57f895ccea84d803ff1405 585 gnome optional gnome-tasksel_0.9.8~pre1.dsc
 36270061f5b04ad851247742f43d2387 24784 gnome optional gnome-tasksel_0.9.8~pre1.tar.gz
 9aa92cffa45c18132d320a3c830abcd4 12418 gnome optional gnome-tasksel_0.9.8~pre1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE9cSI7ftwBTcVV3gRAsNxAJ9B6yq4YPe97V5hKihG9ZpM2Mag/wCeOY5Z
EO3inKQHkfKGCIIyo7UpPdU=
=DwdG
-----END PGP SIGNATURE-----




Blocking bugs of 368515 removed: 368518 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:51:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:46:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.